Package: grails.io.support

## [Groovy] Class SystemOutErrCapturer.NullOutputStream

- grails.io.support.SystemOutErrCapturer.NullOutputStream

-     @groovy.transform.CompileStatic
      static class SystemOutErrCapturer.NullOutputStream
      extends java.io.OutputStream

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SystemOutErrCapturer.NullOutputStream ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `write(byte[] b)`
    `` | `void` | `write(int b)`
    `` | `void` | `write(byte[] b, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.OutputStream` | `java.io.OutputStream#write([B, int, int), java.io.OutputStream#write([B), java.io.OutputStream#write(int), java.io.OutputStream#flush(), java.io.OutputStream#close(), java.io.OutputStream#nullOutputStream(), java.io.OutputStream#wait(long), java.io.OutputStream#wait(long, int), java.io.OutputStream#wait(), java.io.OutputStream#equals(java.lang.Object), java.io.OutputStream#toString(), java.io.OutputStream#hashCode(), java.io.OutputStream#getClass(), java.io.OutputStream#notify(), java.io.OutputStream#notifyAll()`

- - ### Constructor Detail

    - #### SystemOutErrCapturer.NullOutputStream()

  - ### Method Detail

    - #### @java.lang.Override void write(byte[] b)

    - #### @java.lang.Override void write(int b)

    - #### @java.lang.Override void write(byte[] b, int off, int len)